import React from 'react';
import { ITimeRecord, ITimeRecordRequest, IProjects as IProject, ITask } from '@admin-layout/timetracker-core';
export interface ITimerActivityItemProps {
    timeRecord?: ITimeRecord;
    timeRecords: [ITimeRecord];
    projects: IProject[];
    tasks: Array<ITask>;
    disablePlay?: boolean;
    disableDelete?: boolean;
    removeTimeRecord: (recordId: string) => void;
    updateTimeRecord: (recordId: string, request: ITimeRecordRequest) => void;
    handlePlayTimer: (timeRecord: ITimeRecord) => void;
    createTask: Function;
}
export declare const TimerActivityItem: React.FC<ITimerActivityItemProps>;
//# sourceMappingURL=index.d.ts.map