import { ITimeRecord, IOrgMember, IProjects as IProject } from '@admin-layout/timetracker-core';
export interface ITimesheetModalProps {
    userId: string;
    event?: ITimeRecord;
    isShowModal: boolean;
    members: Array<IOrgMember>;
    projects: Array<IProject>;
    loading: boolean;
    handleAddTimeRecordEvent: Function;
    handleUpdateTimeRecordEvent: Function;
    handleRemoveTimeRecordEvent: () => void;
    handleCloseTimeModal: () => void;
}
declare const TimesheetModal: ({ userId, event, isShowModal, members, projects, loading, handleAddTimeRecordEvent, handleUpdateTimeRecordEvent, handleRemoveTimeRecordEvent, handleCloseTimeModal, }: ITimesheetModalProps) => JSX.Element;
export default TimesheetModal;
//# sourceMappingURL=TimesheetModal.d.ts.map